# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           cagibi
Version:        0.2.0
Release:        alt1_5
Summary:        SSDP (UPnP discovery) cache/proxy daemon
Group:          System/Base
License:        GPLv2+ and LGPLv2+
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/cagibi/%{name}-%{version}.tar.bz2

BuildRequires: automoc
BuildRequires: ctest cmake
BuildRequires: pkgconfig(QtDBus) pkgconfig(QtNetwork) pkgconfig(QtXml)
Source44: import.info

%description
Cagibi is a cache/proxy daemon for SSDP (the discovery part of UPnP).


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
# disable copious debug output,  http://bugzilla.redhat.com/865964
export CXXFLAGS="%{optflags} -DQT_NO_DEBUG_OUTPUT"
%{fedora_cmake} ..
popd

make %{?_smp_mflags}  -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# unpackaged files
rm -f %{buildroot}%{_libdir}/pkgconfig/cagibi.pc


%files
%doc COPYING COPYING.LIB
%config(noreplace) %{_sysconfdir}/cagibid.conf
%{_sysconfdir}/dbus-1/system.d/org.kde.Cagibi.conf
%{_bindir}/cagibid
%{_datadir}/dbus-1/interfaces/org.kde.Cagibi.*.xml
%{_datadir}/dbus-1/system-services/org.kde.Cagibi.service


%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_5
- initial fc import

* Wed Mar 16 2011 Sergey V Turchin <zerg@altlinux.org> 0.1.1-alt2
- rebuilt

* Fri Sep 10 2010 Sergey V Turchin <zerg@altlinux.org> 0.1.1-alt1
- initial specfile
